214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Context / 47 of 75

Public holidays

GET/v1/holidays

Public holidays for 204 countries from 1999 to 2027, filterable by date range.

On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
countryoptionalstring
query
One or more ISO codes, comma separated
e.g. CL,BA,AT
fromoptionalperiod
query
First period to return
e.g. 2025-01
tooptionalperiod
query
Last period to return
e.g. 2026-08
Request
# Public holidays for every calendar held
curl "https://api.tourismapi.com/v1/holidays?country=CL,BA,AT&from=2025-01&to=2026-08" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_4e5c39cb00",
        "data_as_of": "2026-10-20T04:48:18Z",
        "count": 85
    },
    "data": [
        {
            "country": "AT",
            "date": "2025-01-01",
            "name": "New Year's Day",
            "local_name": "Neujahr",
            "national": true
        },
        {
            "country": "BA",
            "date": "2025-01-01",
            "name": "New Year's Day",
            "local_name": "Nova Godina",
            "national": true
        },
        {
            "country": "CL",
            "date": "2025-01-01",
            "name": "New Year's Day",
            "local_name": "Año Nuevo",
            "national": true
        }
    ]
}
Response fields
FieldTypeExample
countrystringAT
datestring2025-01-01
namestringNew Year's Day
local_namestringNeujahr
nationalbooleantrue